Package org.jcsp.lang

# Interface SharedChannelInput

All Superinterfaces:
  `ChannelInput`, `Poisonable`

All Known Subinterfaces:
  `FilteredSharedChannelInput`

All Known Implementing Classes:
  `FilteredSharedChannelInputWrapper`

public interface SharedChannelInput extends ChannelInput
This is the same as `ChannelInput` except that it is guaranteed safe to pass on to more than one internal process for parallel reading.

A reading-end, obtained from a one-any or any-any channel by invoking its `in()` method, will implement this interface.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`